### Method

# Tracker SparqlConnection load_statement_from_gresource

since: 3.3

#### Declaration [src]

    TrackerSparqlStatement*
    tracker_sparql_connection_load_statement_from_gresource (
      TrackerSparqlConnection* connection,
      const gchar* resource_path,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Prepares a `TrackerSparqlStatement` for the SPARQL contained as a `GResource` file at `resource_path`.

SPARQL Query files typically have the .rq extension. This will use `tracker_sparql_connection_query_statement()` or `tracker_sparql_connection_update_statement()` underneath to indistinctly return SPARQL query or update statements.

Available since: 3.3

#### Parameters

`resource_path`

  Type: `const gchar*`

  The resource path of the file to parse.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `TrackerSparqlStatement`

A prepared statement.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.